» »

Gentoo emerge -k kde

Gentoo emerge -k kde

jaBo ::

Problem je tak:
Sem na dial-up in si ne morem privoščiti emerge sync in potem emerge kde, ker bo prej siva brada ! Na CD2 so vsi paketi kt ji rabim. Skopiral sem jih. Genkernel pa hotplug pa te reči, kt so ble za emergat je vse šlo z -K (kt nekak forca, da gleda po Cd-ju) al pa
USE="bindist" emrge -K imepaketa. Problem je kt men KDE-ja noče kompajlat z tistih ebuildov ! V bistvu jest ne vem kaj narest da mi bo an, ne znam!
pri emerge -O base-kde/kde mi emerga 1paket/1paketov kar je full premal ! Paketov je je en kup za KDE . Mislm da bi mogl napisat tako kot napise pri emerge -k kde kjer jih je 1/107 vendar želi vse potegniti z net-a ne pa s Cd-ja oz. z direktorija v katerega so bili skopirani vsi paketi s Cd-ja.

pa še to če mi uspe kak se požene KDE ?
start KDE ? KDE ? al kak ?

How to-je se berem, iscem BUT STILL .. če mi tle nekdo pove rešitev an bi mu biu full hvaležn.
Hvala !
čaw

Gandalfar ::


pa še to če mi uspe kak se požene KDE ?
start KDE ? KDE ? al kak ?


startkde oz. si kdm nastavis in pri loginu izberes KDE

ank ::

Probaj z emerge kdebase tako ti bo namestilo samo bazo za kde ki je dosti manjša kot celotni kde. Potem lahko še vedno dodajaš ostale kde*** pakete.
kdebase in ostali kde*** paketi

Kde zaženeš z kdm li pa se ti avtomatsko zaženejo, če v /etc/rc.conf daš na konec:

DISPLAYMANAGER="kdm"

in

XSESSION="kde-3.1.3"

jaBo ::

Hvala obema !
Grem probat..
čAw

jaBo ::

NE dela
1.
emerge -k(če dam brez -k isto) /usr/portage/kde-base/kdebase/kdebase-3.1.3.ebuild
Calculating dependencies...
!!! all ebuilds that could satisfy "~kde-base/kdelibs-3.1.3" have been masked
!!! (dependency required ny "kde-base/kdebase-3.1.3" [ebuild] )
!!! error calculating dependencies. PLease correct

Masked paketi so tisti, ki niso stabilini an ? Ja ?
Masked pakete se da unmask v package.mask ? Ja ?
package.mask naj bi biu v /usr/portage/profiles/ ? Ja? (ampak ga ni an, niti v direktoriju nižje ga ni "/usr/portage/"

2.
emerge -K /usr/portage/kde-base/kdebase/kdebase-3.1.3.ebuild
Calculating dependencies
!!! There are no packages available to satisfy ">=media-sound/cdparanoia-3.9.0"
!!! Either add a suitable binary package or compile from an ebuild
!!! Error calculating dependencies. Please correct

zdej hmm tle sm še bl mrzu kt pa v vprimeru 1.

3.
emerge -K kdebase
Isti šmorn kt v primeru 2. ( " emerge -K /usr/portage/kde-base/kdebase/kdebase-3.1.3.ebuild " )

4.
emerge -k(če dam brez -k isto) kdebase
Calculating dependencies ....done!
emerge 1 of 55 ....
http://............
blabla....
.....
Couldnt download cdparanoia-III-alpha9.8.src.tgz ..
Aborting !...

Torej, če bi mi biu v prvem primeru paket odmaskiran, bi zadeva delovala ????? Ker recimo, če v prvem primeru emerg-am eno verzijo nižje (kde-3.1.2) ne javi nobenih masked paketov, vendar sotri isto kot v 4. primeru. Preprosto vstraja pri tem, da bi šel na internet podownloadat pakete.

Da bi mi uspelo usposobit MOtorolin WINMODEM (dialup) in potem z emerge sync podownlodat pakete je malo možnosti, praktično nič... (v Mandrake 9.1 modem ne dela ... pač winmodem)
pa kolkor sem da sedaj zaseledil, ni panike za ADSL or CABLE modem, za dial-up pa sploh ni šans očitno ..

Ima kdo od vaju, al pa kdo drug še kako idejo. Zagotovo se, da poštimat Gentoo brez emerge sync, net package downloading. Saj zato so pa naredil opcijo GRP al kak ?

Lep pozdrav !

Gandalfar ::

Dej povej tocen model modema.. mogoce imas linmodem..

ank ::

Lahko probaš še z:

ACCEPT_KEYWORDS=`~x86` emerge kdebase

to ti bo namestilo zadnjo (nestabilno?) verzijo kde 3.1.3

Nisem pa prepričan če bo delovalo glede da ti prej ni zato ti vsekakor priporočam da se prijaviš v gentoo forum na
Gentoo forum

Odziv na tem forumu je neverjeten, meni so odgovorili na vsa vprašanja in rešili vse probleme z gentoojem imamo pa tudi slovenski oddelek pod other languages.

Aja: glede GRP-ja pa se vsi na Gentoo forumu pritožujejo da ne dela brez downloada. Sam o tem ne bi vedel kaj več ker GRP-ja ne uporabljam (ampak install from stage one:D ). Zaradi foruma sem spremenil način razmišljanja, prej sem, če kaj ni šlo (uporabljal sem razne distibucije) vse inštaliral še enkrat zdaj pa probleme rešim in uporabljam Gentoo Linux dalje.8-)

Zgodovina sprememb…

  • spremenil: ank ()

moj_nick ::

Za unmask packageov mam jst /etc/portage/package.unmask

Noter napišeš pakete - npr:
app-fps/enemy-territory

Zgodovina sprememb…

  • spremenil: moj_nick ()

thezerox ::

Za instalacijo KDE-ja naredi to:

1. najprej moras vse pakete s CD2 skopirat v /usr/portage/packages. To ti vse pise v Gentoo Linux 1.4 Installation Instructions.

2. potem pa das: emerge -k /usr/portage/packages/All/kde-3.1.2 in bi sedaj moralo delati.

jaBo ::

moj_nick: thx
Gandalfar: Motorola SM56 speakerphone modem
ank: ne dela

Nč s kolegam sva se zmenila da pač on podownloada cel KDE pa zapeče na cd ...

anyway vsem se zahvaljujem za pomoč !
čaw


Vredno ogleda ...

TemaSporočilaOglediZadnje sporočilo
TemaSporočilaOglediZadnje sporočilo
»

Gentoo in download KDE

Oddelek: Operacijski sistemi
201234 (975) mauzer
»

Gentoo masked packages

Oddelek: Operacijski sistemi
211497 (1201) Pithlit
»

Gentoo kaj se dogaja?

Oddelek: Operacijski sistemi
462000 (1288) Pithlit
»

unmergal sem gcc

Oddelek: Operacijski sistemi
421608 (1354) borchi
»

Gentoo problem (strani: 1 2 )

Oddelek: Operacijski sistemi
673676 (3201) Senzacionale

Več podobnih tem